Jruby 1.6.1 with Ruby 1.9.2 Gem Path Issue

Why when I do jgem env I can see I am using 1.9.2 ruby api version but
the gem path is still at 1.8?

I think this is causing an issue with my app when it starts up because I
get a stack:

LoadError: load error: //config/environment –
java.lang.NullPointerException: null
require at org/jruby/RubyKernel.java:1047
require at
/Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8/gems/activesupport-3.0.6/lib/active_support/dependencies.rb:239
load_dependency at
/Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8/gems/activesupport-3.0.6/lib/active_support/dependencies.rb:225
new_constants_in at
/Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8/gems/activesupport-3.0.6/lib/active_support/dependencies.rb:596
new_constants_in at
/Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8/gems/activesupport-3.0.6/lib/active_support/dependencies.rb:595
load_dependency at
/Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8/gems/activesupport-3.0.6/lib/active_support/dependencies.rb:225
require at
/Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8/gems/activesupport-3.0.6/lib/active_support/dependencies.rb:239
require_environment! at
/Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8/gems/railties-3.0.6/lib/rails/application.rb:103
(root) at
/Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8/gems/railties-3.0.6/lib/rails/commands.rb:22
require at org/jruby/RubyKernel.java:1047
(root) at script/rails:6

Any help would be appreciated.

jgem env
RubyGems Environment:

  • RUBYGEMS VERSION: 1.5.1
  • RUBY VERSION: 1.9.2 (2011-04-12 patchlevel 136) [java]
  • INSTALLATION DIRECTORY:
    /Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8
  • RUBY EXECUTABLE: /Users/ciddennis/Development/jruby-1.6.1/bin/jruby
  • EXECUTABLE DIRECTORY: /Users/ciddennis/Development/jruby-1.6.1/bin
  • RUBYGEMS PLATFORMS:
    • ruby
    • universal-java-1.6
  • GEM PATHS:
    • /Users/ciddennis/Development/jruby-1.6.1/lib/ruby/gems/1.8
    • /Users/ciddennis/.gem/jruby/1.9
  • GEM CONFIGURATION:
    • :update_sources => true
    • :verbose => true
    • :benchmark => false
    • :backtrace => false
    • :bulk_threshold => 1000
    • “install” => “–no-rdoc --no-ri --env-shebang”
    • “update” => “–no-rdoc --no-ri --env-shebang”
  • REMOTE SOURCES:

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs